Subject: Re: Working on merged branches whilst seeing current master

From: Nicolas Sebrecht <[email-masked]>
Date: Thu, 12 Nov 2009 16:14:25 +0100

The 12/11/09, rhlee wrote:
> Nicolas Sebrecht-3 wrote:
> > 
> >>                                      Yes I know I probably should not be
> >> working like this. My branches should be wholly independent. But I doing
> >> web
> >> development not kernel development so there is much less modularity and
> >> branches/features have a tendency to creep into one another.
> > 
> > This should not be the case. Modularity in the release process and the
> > development strategy is not tied to "what I am developing". I'm doing
> > some web development too and have no difficulty around this point.
> 
> Just to clarify. Do you mean that this should not be the case that you get
> feature creep in branches or the fact that this happens does interfere with
> your release process/development strategy.

I mean that the independency of the feature branches is mostly relying
on "what do I (as a developer) commit in this branch", which is really
tied to "how to write nice atomic commits" (easily reversible, etc).

This must be applicable whatever the product/software you're working on
and it is applicable for web development too.

-- 
Nicolas Sebrecht